Public Class usrCntlAuswertungenUIDPruefung


    Dim PF As New SDL.cProgramFunctions
    Dim SQL As New VERAG_PROG_ALLGEMEIN.SQL

    Private Sub usrCntlBrgBuchungenFremd_Load(sender As Object, e As EventArgs) Handles Me.Load
        datVonDurmaz.Value = CDate(Now.ToString("01.MM.yyyy")).AddMonths(-2)
    End Sub

    Private Sub btnNCTSDurmaz_Click(sender As Object, e As EventArgs) Handles btnNCTSDurmaz.Click
        Dim dt = VERAG_PROG_ALLGEMEIN.cUIDPruefung.doUIDPruefungALL(datVonDurmaz.Value, cbx.Checked)
        If dt IsNot Nothing AndAlso dt.Rows.Count > 0 Then
            DataGridView.DataSource = dt
            PF.genExcelFromDT_NEW(dt)
            With DataGridView
                If .Columns.Count > 0 Then
                    .Columns("KdNr").Width = 50
                    .Columns("KdNr").HeaderText = "KdNr"
                    .Columns("Firma").AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill
                    .Columns("Firma").MinimumWidth = 60
                    .Columns("Firma").HeaderText = "Firma"
                    .Columns("UstIdKz").Width = 25
                    .Columns("UstIdKz").HeaderText = "UID"
                    .Columns("UstIdnr").Width = 60
                    .Columns("UstIdnr").HeaderText = "Nr"
                    .Columns("letzte Prüfung").Width = 60
                    .Columns("letzte Prüfung").HeaderText = "letztePrüf."
                    .Columns("Ergebnis").Width = 60
                    .Columns("Ergebnis").HeaderText = "Erg."
                End If
            End With
        End If
    End Sub
End Class
